%global momorel 7
%define real_name Socket6

Summary:	IPv6 related part of the C socket.h defines and structure manipulators
Name:		perl-Socket6
Version:	0.23
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
URL:		http://search.cpan.org/dist/Socket6/
Source0:	http://www.cpan.org/modules/by-module/Socket6/Socket6-%{version}.tar.gz 
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl >= 0:5.00503
Requires:	perl >= 0:5.00503

%description
This perl module supports getaddrinfo() and getnameinfo() to intend to
enable protocol independent programing.
If your environment supports IPv6, IPv6 related defines such as
AF_INET6 are included.

%prep
%setup -q -n %{real_name}-%{version} 

%build
###CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=%{buildroot} PREFIX="%{buildroot}%{_prefix}"
perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

### Clean up buildroot
rm -rf %{buildroot}%{perl_archlib} \
       %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean 
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog MANIFEST README
%{perl_vendorarch}/Socket6.pm
%{perl_vendorarch}/auto/Socket6/

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.23-7m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.23-6m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.23-5m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.23-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.23-3m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.23-2m)
- rebuild against rpm-4.6

* Sun Nov  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.23-1m)
- update to 0.23

* Tue Aug 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.22-1m)
- update to 0.22

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.20-2m)
- rebuild against gcc43

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.20-1m)
- update to 0.20

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.19-4m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.19-3m)
- use vendor

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.19-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (0.19-1m)
- update to 0.19

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.18-1m)
- initial release to Momonga Linux

* Wed Mar 30 2005 Dag Wieers <dag@wieers.com> - 0.18-1
- Initial package. (using DAR)
